refreshStats.Galgo {galgo} | R Documentation

## Updates the internal values from the current populations

### Description

Updates the internal values from the current populations. It updates maxFitness, maxChromosomes, bestFitness, and bestChromosomes. Called internally in `evolve` method.

### Usage

    ## S3 method for class 'Galgo'
    refreshStats(.O, ...)

### Value

Returns nothing.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Galgo`. `*summary()`.

### Examples

       cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
       ni <- Niche(chromosomes = newRandomCollection(cr, 10))
       wo <- World(niches=newRandomCollection(ni,2))

       ga <- Galgo(populations=newRandomCollection(wo,1), goalFitness = 0.75,
                   callBackFunc=plot,
                   fitnessFunc=function(chr, parent) 5/sd(as.numeric(chr)))
       ga
       summary(ga)
       evaluate(ga) # manual evaluation
       ga$generation <- ga$generation + 1
       ga
       refreshStats(ga)
       ga           # updated values
       summary(ga)  # but chromosomes have not been "evolved"

[Package galgo version 1.4 Index]